Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235989 - Review Request: python-biopython - Python tools for computational molecular biology
Summary: Review Request: python-biopython - Python tools for computational molecular b...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 648903 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 08:39 UTC by Alex Lancaster
Modified: 2010-11-02 18:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-18 09:41:53 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-04-11 08:39:16 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/python-biopython.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/python-biopython-1.43-1.src.rpm
Description: 
A set of freely available Python tools for computational molecular
biology.

Comment 1 Alex Lancaster 2007-04-11 08:51:02 UTC
License is non-standard "Biopython License Agreement" which rpmlint doesn't like
but is more or less an MIT-style license:

http://biopython.org/DIST/LICENSE

                 Biopython License Agreement

Permission to use, copy, modify, and distribute this software and its
documentation with or without modifications and for any purpose and
without fee is hereby granted, provided that any copyright notices
appear in all copies and that both those copyright notices and this
permission notice appear in supporting documentation, and that the
names of the contributors or copyright holders not be used in
advertising or publicity pertaining to distribution of the software
without specific prior permission.

THE CONTRIBUTORS AND COPYRIGHT HOLDERS OF THIS SOFTWARE DISCLAIM ALL
WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE
CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.



Comment 2 Parag AN(पराग) 2007-04-17 04:14:03 UTC
I think you can use Source url as
http://biopython.org/DIST/biopython-%{version}.tar.gz



Comment 3 Alex Lancaster 2007-04-17 05:00:39 UTC
* Mon Apr 16 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.43-2
- Fix Source0 URL as per suggestion from Parag AN on #235989.

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/python-biopython.spec
SRPM URL:
http://allele5.biol.berkeley.edu/~alex/fedora/python-biopython-1.43-2.src.rpm

Comment 4 Parag AN(पराग) 2007-04-17 05:04:01 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and for RPM.
  reports invalid license but I saw its similar to MIT style license. So I don't
think we should have any objections to this license.
+ source files match upstream url
3c275b321bb1db7d8bda764913aaedcd  biopython-1.43.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: DNAUtils.so _CKDTree.so cMarkovModel.so cdistance.so clistfns.so
cluster.so cmathfns.so cnexus.so cpairwise2.so cstringfns.so trie.so
+ Requires: MySQL-python libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) libm.so.6 libm.so.6(GLIBC_2.0) libpthread.so.0
libpython2.5.so.1.0 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) mx python(abi) = 2.5 python-numeric python-psycopg
python-reportlab rtld(GNU_HASH)

APPROVED.


Comment 5 Alex Lancaster 2007-04-17 05:08:10 UTC
New Package CVS Request
=======================
Package Name: python-biopython
Short Description: A set of freely available Python tools for computational
molecular biology.
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 6 Alex Lancaster 2007-04-17 05:20:46 UTC
Better short description is below:

New Package CVS Request
=======================
Package Name: python-biopython
Short Description: Python tools for computational molecular biology
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 


Comment 7 Alex Lancaster 2007-04-18 09:41:53 UTC
Builds in devel and FC-6.  Closing bug.

Comment 8 Alex Lancaster 2010-11-02 18:01:08 UTC
*** Bug 648903 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.